#ifndef QAD_BLOCKVIEW_H
#define QAD_BLOCKVIEW_H

#include <QtDesigner/QtDesigner>
#include <QtCore/qplugin.h>

class QADBlockView: public QObject, public QDesignerCustomWidgetCollectionInterface
{
	Q_OBJECT
	Q_INTERFACES(QDesignerCustomWidgetCollectionInterface)

public:
	explicit QADBlockView(QObject * parent = 0);
	virtual QList<QDesignerCustomWidgetInterface * > customWidgets() const;

private:
	QList<QDesignerCustomWidgetInterface * > m_widgets;

};

#endif // QAD_BLOCKVIEW_H
